Loading...
Searching...
No Matches
pdftron::SDF::ResultSnapshot Class Reference

`#include <ResultSnapshot.h>`

## Public Member Functions
| ResultSnapshot (const ResultSnapshot &other)
| ResultSnapshot (TRN_ResultSnapshot impl)
ResultSnapshot & | operator= (const ResultSnapshot &other)
| ~ResultSnapshot ()
void | Destroy ()
DocSnapshot | CurrentState () const
DocSnapshot | PreviousState () const
bool | IsOk () const
bool | IsNullTransition () const
| ResultSnapshot ()

## Public Attributes
TRN_ResultSnapshot | m_impl

## Detailed Description

The class ResultSnapshot. Represents a transition between two document states.

Definition at line 23 of file ResultSnapshot.h.

## Constructor & Destructor Documentation

## ◆ ResultSnapshot() [1/3]

pdftron::SDF::ResultSnapshot::ResultSnapshot | ( | const ResultSnapshot & | other | ) |

## ◆ ResultSnapshot() [2/3]

pdftron::SDF::ResultSnapshot::ResultSnapshot | ( | TRN_ResultSnapshot | impl | ) |

## ◆ ~ResultSnapshot()

pdftron::SDF::ResultSnapshot::~ResultSnapshot | ( |  | ) |

## ◆ ResultSnapshot() [3/3]

pdftron::SDF::ResultSnapshot::ResultSnapshot | ( |  | ) |

## Member Function Documentation

## ◆ CurrentState()

DocSnapshot pdftron::SDF::ResultSnapshot::CurrentState | ( |  | ) | const

Retrieves the document state to which this transition has transitioned.

Returns
  The current document state.

## ◆ Destroy()

void pdftron::SDF::ResultSnapshot::Destroy | ( |  | ) |

## ◆ IsNullTransition()

bool pdftron::SDF::ResultSnapshot::IsNullTransition | ( |  | ) | const

Returns whether this transition is a null transition.

Returns
  Whether this transition is a null transition.

## ◆ IsOk()

bool pdftron::SDF::ResultSnapshot::IsOk | ( |  | ) | const

Returns whether this transition is valid or a null transition.

Returns
  Whether this transition is valid or a null transition.

## ◆ operator=()

ResultSnapshot & pdftron::SDF::ResultSnapshot::operator= | ( | const ResultSnapshot & | other | ) |

## ◆ PreviousState()

DocSnapshot pdftron::SDF::ResultSnapshot::PreviousState | ( |  | ) | const

Retrieves the document state from which this transition has transitioned.

Returns
  The previous document state.

## Member Data Documentation

## ◆ m_impl

TRN_ResultSnapshot pdftron::SDF::ResultSnapshot::m_impl

Definition at line 64 of file ResultSnapshot.h.

The documentation for this class was generated from the following file:

- SDF/ResultSnapshot.h